import java.util.concurrent.atomic.AtomicInteger;

public class zh3{

  private static AtomicInteger enemy = new AtomicInteger(200);
  private static final int tickRate = 100;

  private static void shootArrow() {
    delay(1);
    int hp = enemy.decrementAndGet();
    System.out.printf("Enemy hit by arrow %d\n", hp);
  }

  private static void delay(int ticks) {
    try {Thread.sleep(ticks * tickRate);}
    catch (Exception e) {e.printStackTrace();}
  }

  public static void main(String[] args) {
    while (enemy.get() > 0) {
      for(int i = 0; i < 10; i++)
        new Thread(() -> shootArrow()).start();
      delay(5);
    }
  }

}
