import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.TimeUnit;


public class zh3{

  private static AtomicInteger enemy = new AtomicInteger(200);
  private static BlockingQueue<String> que = new LinkedBlockingQueue<>();
  private static final int tickRate = 100;

  private static void shootArrow() {
    delay(1);
    synchronized(zh3.class) {
      int hp = enemy.decrementAndGet();
      que.offer(String.format("Enemy hit by arrow %d", hp));
    }
  }

  private static void delay(int ticks) {
    try {Thread.sleep(ticks * tickRate);}
    catch (Exception e) {e.printStackTrace();}
  }

  private static void printer() {
    while (enemy.get() > 0 || !que.isEmpty()) {
      try {
        String msg = que.poll(tickRate, TimeUnit.MILLISECONDS);
        if (msg != null)
          System.out.println(msg);
      } catch (Exception e) {}
    }
  }

  public static void main(String[] args) {
    new Thread(() -> printer()).start();
    while (enemy.get() > 0) {
      for(int i = 0; i < 10; i++)
        new Thread(() -> shootArrow()).start();
      delay(5);
    }
  }

}
