import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.TimeUnit;


public class zh3{

  private static AtomicInteger enemy = new AtomicInteger(200);
  private static AtomicBoolean ready = new AtomicBoolean(false);
  private static BlockingQueue<String> que = new LinkedBlockingQueue<>();
  private static final int tickRate = 100;

  private static void shootArrow() {
    delay(1);
    synchronized (zh3.class) {
      int hp = enemy.decrementAndGet();
      que.offer(String.format("Enemy hit by arrow %d", hp));
    }
  }

  private static void delay(int ticks) {
    try {Thread.sleep(ticks * tickRate);}
    catch (Exception e) {e.printStackTrace();}
  }

  private static void printer() {
    while (enemy.get() > 0 || !que.isEmpty()) {
      try {
        String msg = que.poll(tickRate, TimeUnit.MILLISECONDS);
        if (msg != null)
          System.out.println(msg);
      } catch (Exception e) {}
    }
  }

  private static void loader() {
    while (enemy.get() > 0) {
      for (int i = 0; i < 10 && enemy.get() > 0; i++)
        delay(1);
      ready.set(true);
      synchronized(zh3.class) {
        zh3.class.notify();
      }
    }
  }

  private static synchronized void cannon() {
    while (enemy.get() > 0) {
      if (!ready.get()) {
        try {zh3.class.wait(tickRate);}
        catch (Exception e) {e.printStackTrace();}
      }
      else {
        ready.set(false);
        int hp = enemy.addAndGet(-10);
        que.offer(String.format("Enemy hit by cannon %d", hp));
      }
    }
  }

  public static void main(String[] args) {
    new Thread(() -> printer()).start();
    new Thread(() -> loader()).start();
    new Thread(() -> cannon()).start();
    while (enemy.get() > 0) {
      for(int i = 0; i < 10; i++)
        new Thread(() -> shootArrow()).start();
      delay(5);
    }
  }

}
